Package net.sf.saxon.type

## Enum SchemaComponent.ValidationStatus

- java.lang.Object
- - java.lang.Enum<SchemaComponent.ValidationStatus>
  - - net.sf.saxon.type.SchemaComponent.ValidationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SchemaComponent.ValidationStatus>`
  Enclosing interface:
    SchemaComponent

      public static enum SchemaComponent.ValidationStatus
      extends java.lang.Enum<SchemaComponent.ValidationStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIXED_UP` |
    `INCOMPLETE` |
    `INVALID` |
    `UNVALIDATED` |
    `VALIDATED` |
    `VALIDATING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SchemaComponent.ValidationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SchemaComponent.ValidationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNVALIDATED

          public static final SchemaComponent.ValidationStatus UNVALIDATED

    - #### FIXED_UP

          public static final SchemaComponent.ValidationStatus FIXED_UP

    - #### VALIDATING

          public static final SchemaComponent.ValidationStatus VALIDATING

    - #### VALIDATED

          public static final SchemaComponent.ValidationStatus VALIDATED

    - #### INVALID

          public static final SchemaComponent.ValidationStatus INVALID

    - #### INCOMPLETE

          public static final SchemaComponent.ValidationStatus INCOMPLETE

  - ### Method Detail

    - #### values

          public static SchemaComponent.ValidationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaComponent.ValidationStatus c : SchemaComponent.ValidationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaComponent.ValidationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null